{
  "services": [
    /*{
      "name": "Back up",
      "commands": [
        {
          "name": "BackFileStorageCommand",
          "type": "BackFileStorageCommand",
          "directory": "/var/r7-office/filestorage",
          "toDirectory": "/varr7-office/Backup",
          "period": "7.00:00:00"
        }
      ]
    }
     {
      "name": "SpaceStatisticsCommand",
      "commands": [
        {
          "name": "SpaceStatisticsCommand",
          "type": "SpaceStatisticsCommand",
          "period": "12:00:00"
        }
      ]
    },
    ,*/
    {
      "name": "Single operations",
      "commands": [
        {
          "name": "OneTimeReindexEmailCommand",
          "type": "OneTimeReindexEmailCommand",
          "isConcurrentMode": false,
          "period": "27.00:00:00"
        }
      ]
    },
    {
      "name": "ProjectTask.Services",
      "commands": [],
      "handlers": [
        {
          "name": "ExportProjectTaskMessageHandler",
          "type": "ExportProjectTaskMessageHandler",
          "subscriptionEndpoint": "Export.Project.Task",
          "useExchange": true,
          "degreeOfParallelism": 2
        },
        {
          "name": "ExportProjectTaskToJsonMessageHandler",
          "type": "ExportProjectTaskToJsonMessageHandler",
          "subscriptionEndpoint": "Export.Project",
          "useExchange": true,
          "degreeOfParallelism": 2
        },
        {
          "name": "ImportProjectByJsonMessageHandler",
          "type": "ImportProjectByJsonMessageHandler",
          "subscriptionEndpoint": "Import.Project",
          "useExchange": true,
          "degreeOfParallelism": 2
        }
      ]
    },
    {
      "name": "Command.Exports",
      "commands": [
        //{
        //  "name": "ReindexContactCommand",
        //  "type": "ReindexContactCommand",
        //  "period": "7.00:00:00"
        //}
      ],
      "handlers": [
        {
          "name": "AutoCreateEmailIntegrationForCustomerHandler",
          "type": "AutoCreateEmailIntegrationForCustomerHandler",
          "subscriptionEndpoint": "AutoCreate.Email.Integration",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "StartExportUserOtherSystemMessageHandler",
          "type": "StartExportUserOtherSystemMessageHandler",
          "subscriptionEndpoint": "StartExport.User.OtherSystem",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ExportUserOtherSystemMessageHandler",
          "type": "ExportUserOtherSystemMessageHandler",
          "subscriptionEndpoint": "Export.User.OtherSystem",
          "publicationEndpoint": "Converted.User.OtherSystem",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ExportCustomerOtherSystemMessageHandler",
          "type": "ExportCustomerOtherSystemMessageHandler",
          "subscriptionEndpoint": "Export.Customer.OtherSystem",
          "publicationEndpoint": "Converted.Customer.OtherSystem",
          "useExchange": true,
          "degreeOfParallelism": 1
        }
      ]
    },
    {
      "name": "Unilites",
      "commands": [
        {
          "name": "DeleteTrashCommand",
          "type": "DeleteGlobalTrashCommand",
          "days": "30",
          "directoryType": "Trash",
          "period": "23:00:00"
        },
        {
          "name": "DeleteGlobalTrashCommand",
          "type": "DeleteGlobalTrashCommand",
          "days": "30",
          "period": "23:00:00"
        }
      ],
      "handlers": [
        {
          "name": "DeleteGlobalTrashMessageHandler",
          "type": "DeleteGlobalTrashMessageHandler",
          "subscriptionEndpoint": "Delete.From.Trash",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2
        },
        {
          "name": "ReindexEmailMessageHandler",
          "type": "ReindexEmailMessageHandler",
          "subscriptionEndpoint": "Reindex.Email",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ReindexContactMessageHandler",
          "type": "ReindexContactMessageHandler",
          "subscriptionEndpoint": "Reindex.Contact",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ReindexDocumentsMessageHandler",
          "type": "ReindexDocumentsMessageHandler",
          "subscriptionEndpoint": "Reindex.Documents",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "RestoreCalendarsMessageHandler",
          "type": "RestoreCalendarsMessageHandler",
          "subscriptionEndpoint": "Restore.Calendar.FromDb",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "SaveRestoreCalendarsMessageHandler",
          "type": "SaveRestoreCalendarsMessageHandler",
          "subscriptionEndpoint": "Save.Restore.Calendar",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "RestoreFolderHierarchyMessageHandler",
          "type": "RestoreFolderHierarchyMessageHandler",
          "subscriptionEndpoint": "Restore.Folder.Hierarchy",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        }
      ]
    },
    {
      "name": "Indexing.Operations",
      "handlers": [
        {
          "name": "Indexing Contact ",
          "type": "IndexingContactMessageHandler",
          "subscriptionEndpoint": "Contact.Indexing",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        }
      ]
    },
    {
      "name": "LDAP.UserImport",
      "commands": [
        {
          "name": "Send LDAP users to export",
          "type": "LdapImportUsersCommand",
          "period": "23:00:00"
        }
      ],
      "handlers": [
        {
          "name": "Processing LDAP export users",
          "type": "GetUserByLdapMessageHandler",
          "subscriptionEndpoint": "Import.LDAP.Get",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "Save LDAP users",
          "type": "SaveImportedUsersMessageHandler",
          "subscriptionEndpoint": "Import.LDAP.SaveUsers",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1,
          "retry": true
        },
        {
          "name": "Get and Save user",
          "type": "ImportSigleUserMessageHandler",
          "subscriptionEndpoint": "Import.LDAP.GetSaveUser",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "Sync group members",
          "type": "ImportGroupMembersMessageHandler",
          "subscriptionEndpoint": "Import.LDAP.SyncGroupMembers",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        }
      ]
    },
    {
      "name": "Email",
      "commands": [
        {
          "name": "RefreshImapFoldersCommand",
          "type": "RefreshImapFoldersCommand",
          "period": "01:00:00"
        },
        {
          "name": "ExecuteEmailTimeSentServiceCommand",
          "type": "ExecuteEmailTimeSentServiceCommand",
          "period": "24:00:00"
        }
      ],
      "handlers": [
        {
          "name": "DeleteUserEmailMessageHandler",
          "type": "DeleteUserEmailMessageHandler",
          "subscriptionEndpoint": "Delete.User.Email",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2,
          "retry": true,
          "retryCount": 1
        },
        {
          "name": "IndexingEmailMessageHandler",
          "type": "IndexingEmailMessageHandler",
          "subscriptionEndpoint": "Indexing.Email",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1,
          "retry": true,
          "retryCount": 1
        },
        {
          "name": "RefreshEmailFolderItemsMessageHandler",
          "type": "RefreshEmailFolderItemsMessageHandler",
          "subscriptionEndpoint": "Refresh.Email.Imap.Messages",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 5
        },
        {
          "name": "SendEmailImapMessageHandler",
          "type": "SendEmailImapMessageHandler",
          "subscriptionEndpoint": "Email.Imap.Send",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2,
          "retry": true,
          "retryCount": 4
        },
        {
          "name": "RefreshEmailFoldersMessageHandler",
          "type": "RefreshEmailFoldersMessageHandler",
          "subscriptionEndpoint": "Refresh.Email.Imap.Folders",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 3,
          "clearAfterStart": "true"
        },
        {
          "name": "PlanSendEmailMessageHandler",
          "type": "PlanSendEmailMessageHandler",
          "subscriptionEndpoint": "Email.TimeSent",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "UpdateEmailLdapPasswordMessageHandler",
          "type": "UpdateEmailLdapPasswordMessageHandler",
          "subscriptionEndpoint": "Email.UpdateLdapPassword",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2
        }
      ]
    },
    {
      "name": "Load Addresses",
      "commands": [
      ],
      "handlers": [
        {
          "name": "PersistAddressMessageHandler",
          "type": "PersistAddressMessageHandler",
          "subscriptionEndpoint": "PersistAddress.Address",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "PersistApartmentMessageHandler",
          "type": "PersistApartmentMessageHandler",
          "subscriptionEndpoint": "PersistAddress.Apartment",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "PersistHouseMessageHandler",
          "type": "PersistHouseMessageHandler",
          "subscriptionEndpoint": "PersistAddress.House",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "PersistCarplaceMessageHandler",
          "type": "PersistCarplaceMessageHandler",
          "subscriptionEndpoint": "PersistAddress.Carplace",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "PersistRoomMessageHandler",
          "type": "PersistRoomMessageHandler",
          "subscriptionEndpoint": "PersistAddress.Room",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "PersistSteadMessageHandler",
          "type": "PersistSteadMessageHandler",
          "subscriptionEndpoint": "PersistAddress.Stead",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "PersistAddressRelationMessageHandler",
          "type": "PersistAddressRelationMessageHandler",
          "subscriptionEndpoint": "PersistAddress.Relation",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        }
      ]
    },
    {
      "name": "Main processing",
      "commands": [
        {
          "name": "RecalcDirectorySizeCommand",
          "type": "RecalcDirectorySizeCommand",
          "period": "23:00:00"
        }
      ],
      "handlers": [
        {
          "name": "ShareFileMessageHandler",
          "type": "ShareFileMessageHandler",
          "subscriptionEndpoint": "Share.Files",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2
        },
        {
          "name": "ShareFolderMessageHandler",
          "type": "ShareFolderMessageHandler",
          "subscriptionEndpoint": "Share.Folders",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2
        },
        {
          "name": "ShareAccessRightsMessageHandler",
          "type": "ShareAccessRightsMessageHandler",
          "subscriptionEndpoint": "ShareAccessRights.Directory",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "UserExportDataMessageHandler",
          "type": "UserExportDataMessageHandler",
          "subscriptionEndpoint": "Export.User.Csv",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "EtdSyncUserInfoMessageHandler",
          "type": "EtdSyncUserInfoMessageHandler",
          "subscriptionEndpoint": "Etd.User.Sync",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ArchiveDirectoryMessageHandler",
          "type": "ArchiveDirectoryMessageHandler",
          "subscriptionEndpoint": "Archive.Directory",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "CreateArchiveDirectoryMessageHandler",
          "type": "CreateArchiveDirectoryMessageHandler",
          "subscriptionEndpoint": "CreateArchive.Directory",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "RecalcDocumentSizeMessageHandler",
          "type": "RecalcDocumentSizeMessageHandler",
          "subscriptionEndpoint": "RecalcSize.Document",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "RecalcDirectorySizeMessageHandler",
          "type": "RecalcDirectorySizeMessageHandler",
          "subscriptionEndpoint": "RecalcSize.Directory",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2
        },
        {
          "name": "UnarchivingFileMessageHandler",
          "type": "UnarchivingFileMessageHandler",
          "subscriptionEndpoint": "UnarchivingFile.Document",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "MoveDirectoryMessageHandler",
          "type": "MoveDirectoryMessageHandler",
          "subscriptionEndpoint": "Move.Directory",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2,
          "retry": true,
          "retryCount": 2
        },
        {
          "name": "ClearDirectoryMessageHandler",
          "type": "ClearDirectoryMessageHandler",
          "subscriptionEndpoint": "Clear.Directory",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "DeleteDirectoryMessageHandler",
          "type": "DeleteDirectoryMessageHandler",
          "subscriptionEndpoint": "Delete.Directory",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2
        },
        {
          "name": "CopyDirectoryMessageHandler",
          "type": "CopyDirectoryMessageHandler",
          "subscriptionEndpoint": "Copy.Directory",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2,
          "retry": true,
          "retryCount": 2
        },
        {
          "name": "ConvertDocumentMessageHandler",
          "type": "ConvertDocumentMessageHandler",
          "subscriptionEndpoint": "Convert.Document",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2,
          "retry": true,
          "retryCount": 2,
          "process": "/var/www/r7-office/documentserver/server/FileConverter/bin/docbuilder"
        },
        {
          "name": "IndexingDocumentMessageHandler",
          "type": "IndexingDocumentMessageHandler",
          "subscriptionEndpoint": "Indexing.Document",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 5,
          "retry": true,
          "retryCount": 2,
          "process": "/var/www/r7-office/documentserver/server/FileConverter/bin/docbuilder"
        },
        {
          "name": "SendEmail",
          "type": "SendEmailMessageHandler",
          "subscriptionEndpoint": "Send.Email",
          "fromEmail": "",
          "password": "",
          "host": "",
          "port": 587,
          "publicationEndpoint": "",
          "degreeOfParallelism": 2,
          "retry": true,
          "useExchange": true,
          "retryCount": 2
        },
        {
          "name": "PersistAvatarImageMessageHandler",
          "type": "PersistAvatarImageMessageHandler",
          "subscriptionEndpoint": "Persist.Avatar.Image",
          "publicationEndpoint": "",
          "degreeOfParallelism": 3,
          "retry": true,
          "useExchange": true,
          "retryCount": 2
        },
        {
          "name": "DeleteAvatarImageMessageHandler",
          "type": "DeleteAvatarImageMessageHandler",
          "subscriptionEndpoint": "Delete.Avatar.Image",
          "publicationEndpoint": "",
          "degreeOfParallelism": 4,
          "retry": true,
          "useExchange": true,
          "retryCount": 2
        }
      ]
    },
    {
      "name": "Delete user",
      "commands": [
      ],
      "handlers": [
        {
          "name": "Processing transfer directories and files",
          "type": "DeleteMoveDirectoryMessageHandler",
          "subscriptionEndpoint": "DeleteUser.Transfer",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1,
          "retry": false,
          "retryCount": 0
        },
        {
          "name": "Processing delete user",
          "type": "DeleteUserMessageHandler",
          "subscriptionEndpoint": "DeleteUser.Delete",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1,
          "retry": false,
          "retryCount": 0
        }
      ]
    },
    {
      "name": "Save user actions",
      "commands": [
      ],
      "handlers": [
        {
          "name": "Save auth user actions",
          "type": "AddUserAuthHistoryMessageHandler",
          "subscriptionEndpoint": "SaveUserActions.AuthActions",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1,
          "retry": false,
          "retryCount": 0
        },
        {
          "name": "Save external user actions",
          "type": "ExternalUserActionsMessageHandler",
          "subscriptionEndpoint": "SaveUserActions.External",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 3,
          "retry": false,
          "retryCount": 0
        }
      ]
    },
    {
      "name": "CS.UserImport",
      "handlers": [
        {
          "name": "ExportDataFromCsMessageHandler",
          "type": "ExportDataFromCsMessageHandler",
          "subscriptionEndpoint": "Export.Data.From.Cs",
          "folder": "/mnt/cs",
          "customer": 1,
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ImportReadStatusEmailMessageHandler",
          "type": "ImportReadStatusEmailMessageHandler",
          "subscriptionEndpoint": "Import.Read.Status.Email",
          "useExchange": true,
          "degreeOfParallelism": 0
        },
        {
          "name": "ImportDataWithFilesFromCsToCdHandler",
          "type": "ImportDataWithFilesFromCsToCdHandler",
          "subscriptionEndpoint": "Import.User.From.Cs",
          "useExchange": true,
          "prefetchCount": 2,
          "degreeOfParallelism": 2
        }
      ]
    },
    {
      "name": "Calculate user space",
      "commands": [
        {
          "name": "CalculateUserSpaceCommand",
          "type": "CalculateUserSpaceCommand",
          "period": "23:00:00"
        }
      ],
      "handlers": [
        {
          "name": "Calculate user metrics",
          "type": "CalculateUserSpaceMessageHandler",
          "subscriptionEndpoint": "Calculate.UserMetrics",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 0,
          "retry": false,
          "retryCount": 0
        },
        {
          "name": "Calculate user metrics by event",
          "type": "CalculateUserSpaceByEventHandler",
          "subscriptionEndpoint": "Calculate.UserMetricsByEvent",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 2,
          "retry": false,
          "retryCount": 0
        }
      ]
    },
    {
      "name": "Notify processing",
      "commands": [
        {
          "name": "Create events",
          "type": "EventNotificationCommand",
          "period": "00:05:00"
        },
        {
          "name": "Send events",
          "type": "SendEventNotificationCommand",
          "period": "00:01:00"
        }
        //        {
        //          "name": "Send user notification events",
        //          "type": "NotificationsAlertCommand",
        //          "period": "00:01:00"
        //        }
      ],
      "handlers": [
        {
          "name": "CreateLinkMessageHandler",
          "type": "CreateLinkMessageHandler",
          "subscriptionEndpoint": "Create.Link",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "DocumentServerAction",
          "type": "DocumentServerActionMessageHandler",
          "subscriptionEndpoint": "Document.Server.Action",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "EmailNotify ",
          "type": "SendEmailEventNotificationMessageHandler",
          "subscriptionEndpoint": "Email.Notify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ShareEntity",
          "type": "ShareEntityMessageHandler",
          "subscriptionEndpoint": "Share.Entity.Notify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "SentOwnerShareEntity",
          "type": "SentOwnerShareEntityMessageHandler",
          "subscriptionEndpoint": "Share.Project.Notify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ProjectTaskChanged",
          "type": "ProjectTaskChangedMessageHandler",
          "subscriptionEndpoint": "Project.Task.Changed",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ShareEntityBellNotification",
          "type": "ShareEntityBellNotification",
          "subscriptionEndpoint": "Share.Entity.BellNotify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "RoleBellNotificationMessageHandler",
          "type": "RoleBellNotificationMessageHandler",
          "subscriptionEndpoint": "RoleAction.BellNotify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ProjectTaskChangedBellNotificationHandler",
          "type": "ProjectTaskChangedBellNotificationHandler",
          "subscriptionEndpoint": "Project.BellNotify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "ProjectSprintChangeBellNotificationHandler",
          "type": "ProjectSprintChangeBellNotificationHandler",
          "subscriptionEndpoint": "Project.Sprint.BellNotify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "EmailBellNotificationHadler",
          "type": "EmailBellNotificationHadler",
          "subscriptionEndpoint": "Email.BellNotify.New",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "DocumentMensionBellNotificationHandler",
          "type": "DocumentMensionBellNotificationHandler",
          "subscriptionEndpoint": "DocumentMension.BellNotify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "EventBellNotificationsHandler",
          "type": "EventBellNotificationsHandler",
          "subscriptionEndpoint": "Events.BellNotify",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "UserActivityCalculateMessageHandler",
          "type": "UserActivityCalculateMessageHandler",
          "subscriptionEndpoint": "Calculate.UserActivity",
          "publicationEndpoint": "",
          "useExchange": true,
          "clearAfterStart": "true",
          "degreeOfParallelism": 2
        }
        //        {
        //          "name": "UserEventNotificationsBellHandler",
        //          "type": "UserEventNotificationsBellHandler",
        //          "subscriptionEndpoint": "UserNotifications.BellNotify",
        //          "publicationEndpoint": "",
        //          "useExchange": true,
        //          "degreeOfParallelism": 1
        //        },        
        //        {
        //          "name": "CalendarNotificationSettingsUpdateHandler",
        //          "type": "CalendarNotificationSettingsUpdateHandler",
        //          "subscriptionEndpoint": "UserNotifications.CalendarSettingsUpdate",
        //          "publicationEndpoint": "",
        //          "useExchange": true,
        //          "degreeOfParallelism": 1
        //        },
        //        {
        //          "name": "EventsNotificationsBatchHandler",
        //          "type": "EventsNotificationsBatchHandler",
        //          "subscriptionEndpoint": "UserNotifications.BatchProcessing",
        //          "publicationEndpoint": "",
        //          "useExchange": true,
        //          "degreeOfParallelism": 1
        //        }
      ]
    },
    {
      "name": "Activity statistics",
      "commands": [
        {
          "name": "UserActivityCalculateCommand",
          "type": "UserActivityCalculateCommand",
          "period": "00:05:00"
        }
      ],
      "handlers": [

      ]
    },
    {
      "name": "SIEM.Export",
      "commands": [
        {
          "name": "Schedule export for customers",
          "type": "ExportUserActionsCommand",
          "period": "00:05:00"
        }
      ],
      "handlers": [
        {
          "name": "Process export to SIEM",
          "type": "ExportUserActionsMessageHandler",
          "subscriptionEndpoint": "SIEM.Export",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1
        },
        {
          "name": "Save LDAP users",
          "type": "SaveImportedUsersMessageHandler",
          "subscriptionEndpoint": "Import.LDAP.SaveUsers",
          "publicationEndpoint": "",
          "useExchange": true,
          "degreeOfParallelism": 1,
          "retry": true
        }
      ]
    }
    //,{
    //  "name": "File.UserImport",
    //  "commands": [
    //    {
    //      "name": "CsvExportUsersCommand",
    //      "type": "CsvExportUsersCommand",
    //      "folder": "Files",
    //      "period": "23:00:00"
    //    }
    //  ]
    //}
  ]
}
